Ticket #30 (closed defect: invalid)

Opened 11 years ago

Last modified 11 years ago

sys-apps/hal-0.5.7.1-r3::gentoo fails to compile

Reported by: anonymous Owned by: ciaranm
Priority: Sometime Milestone:
Component: core/paludis Version: 0.14.3
Keywords: Cc:
Blocked By: Blocking:
Distribution:

Description

/usr/portage/sys-apps/hal/hal-0.5.7.1-r3.ebuild: line 147: --enable-hotplug-map: command not found

!!! ERROR in sys-apps/hal-0.5.7.1-r3: !!! In src_compile at line 153 !!! configure failed

!!! Call stack: !!! * src_compile (/usr/portage/sys-apps/hal/hal-0.5.7.1-r3.ebuild:153) !!! * ebuild_f_compile (/usr/libexec/paludis/src_compile.bash:43) !!! * ebuild_main (/usr/libexec/paludis/ebuild.bash:330) !!! * main (/usr/libexec/paludis/ebuild.bash:342)

die trap: exiting with error.

Install error:

  • In program paludis -i world:
  • When performing install action from command line:
  • When executing install task:
  • Install error: Install failed for 'sys-apps/hal-0.5.7.1-r3::gentoo'

Just a user here, but looks like its parsing a configure option as an executable command to me.

Change History

comment:1 Changed 11 years ago by ciaranm

  • Status changed from new to closed
  • Resolution set to invalid

Not a Paludis bug. Look at the ebuild:

»···»···--with-pid-file=/var/run/hald.pid 
»···»···--with-data=${hwdata}
»···»···--enable-hotplug-map 
»···»···$(use_enable debug verbose-mode) 

It's missing a backslash.

Closing this as invalid since trac doesn't seem to have an upstream option.

Note: See TracTickets for help on using tickets.